VOLTRON(1)

NAME
voltron - hacky debugger UI for hackers

SYNOPSIS
voltron [-h]

voltron [--debug] [-o O] [(view|v) <view name>]

voltron [--debug] [-o O] (view|v) (memory|m|mem) [-h] [--show-header] [--hide-header] [--show-footer] [--hide-footer] [--name NAME] [--deref | --bytes BYTES] [--reverse] (--address ADDRESS|--command COMMAND|--register REGISTER)

voltron [--debug] [-o O] (view|v) (command|c|cmd) [-h] [--show-header] [--hide-header] [--show-footer] [--hide-footer] [--name NAME] [--lexer LEXER] command

DESCRIPTION
Voltron is an extensible debugger UI toolkit written in Python. It aims to improve the user experience of various debuggers (LLDB, GDB, VDB and WinDbg) by enabling the attachment of utility views that can retrieve and display data from the debugger host. By running these views in other TTYs, you can build a customised debugger user interface to suit your needs.

If your debugger has an init script (.lldbinit for LLDB or .gdbinit for GDB) configure it to load Voltron when it starts by sourcing the /usr/lib/python3/dist-packages/voltron/entry.py entry point script.

LLDB:

    command script import /usr/lib/python3/dist-packages/voltron/entry.py

GDB:

    source /usr/lib/python3/dist-packages/voltron/entry.py
    voltron init
    set disassembly-flavor intel

OPTIONS
The following are valid view name in voltron:

backtrace, t, bt, back
    backtrace view

register, r, reg
    register values

breakpoints, b, bp, break
    breakpoints view

command, c, cmd
    run a command each time the debugger host stops

memory, m, mem
    display a chunk of memory

disasm, d, dis
    disassembly view

stack, s, st
    display a chunk of stack memory

AUTHOR
This manual page was written by ChangZhuo Chen <czchen@debian.org> for the Debian GNU/Linux system (but may be used by others).